import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/t_h_pre_selected_staff_table_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/t_h_pre_selected_staff_table_entity.g.dart';

@JsonSerializable()
class THPreSelectedStaffTableEntity {
	int total = 0;
	List<THPreSelectedStaffTableRows> rows = [];

	THPreSelectedStaffTableEntity();

	factory THPreSelectedStaffTableEntity.fromJson(Map<String, dynamic> json) => $THPreSelectedStaffTableEntityFromJson(json);

	Map<String, dynamic> toJson() => $THPreSelectedStaffTableEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class THPreSelectedStaffTableRows {
	String? id;
	String? name;
	String? gender;
	String? mobile;
	String? nric;
	@JSONField(name: "profile_picture")
	String? profilePicture;
	int status = 0;
	@JSONField(name: "apply_state")
	int applyState = 0;

	THPreSelectedStaffTableRows();

	factory THPreSelectedStaffTableRows.fromJson(Map<String, dynamic> json) => $THPreSelectedStaffTableRowsFromJson(json);

	Map<String, dynamic> toJson() => $THPreSelectedStaffTableRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}